Bug 46006 - [NON-MAINTAINER] update www/oops from 1.5.22-20020519 to 1.5.22-20021204
[NON-MAINTAINER] update www/oops from 1.5.22-20020519 to 1.5.22-20021204
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: yar
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-05 11:50 UTC by osa
Modified: 2002-12-13 23:19 UTC (History)
0 users

See Also:


Attachments
file.diff (3.43 KB, patch)
2002-12-05 11:50 UTC, osa
no flags Details | Diff
patch-src::modules::berkeley_db_api.c (366 bytes, text/plain; charset=us-ascii)
2002-12-06 14:58 UTC, osa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description osa 2002-12-05 11:50:01 UTC
	1) update www/oops from 1.5.22-20020519 to 1.5.22-20021204
	2) fix BATCH build mode (thanks Dmitry Morozovsky <marck@rinet.ru>)
	3) fix build with databases/db4 (thanks Sergey Mokryshev <mokr@mokr.net>)

Fix: Please close PRs: 40593, 44071 because this PR is superset
and 45989 becase i can't reproduce it


? ports/www/oops/files/patch-src::modules::berkeley_db_api.c
Comment 1 yar freebsd_committer 2002-12-06 11:21:10 UTC
I could reproduce the bison compatibility bug easily.
You haven't fixed it in your new patchset, have you?

-- 
Yar
Comment 2 osa 2002-12-06 11:37:33 UTC
On Fri, Dec 06, 2002 at 02:21:10PM +0300, Yar Tikhiy wrote:
> I could reproduce the bison compatibility bug easily.
> You haven't fixed it in your new patchset, have you?

Hmm, try to apply a patchset described in my PR:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/46006

oops-1.5.22-20021204.patch already containes fix
for parser.y (for bison-1.75)

Thanks.
-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 3 yar freebsd_committer 2002-12-06 14:41:11 UTC
Thanks!  Dmitry Morozovsky has confirmed your patch worked for him.

One more note:  Is this warning from your patch really harmless?
Didn't you miss the file?

> ? ports/www/oops/files/patch-src::modules::berkeley_db_api.c

-- 
Yar
Comment 4 osa 2002-12-06 14:58:23 UTC
On Fri, Dec 06, 2002 at 05:41:11PM +0300, Yar Tikhiy wrote:
> Thanks!  Dmitry Morozovsky has confirmed your patch worked for him.
> 
> One more note:  Is this warning from your patch really harmless?
> Didn't you miss the file?
> 
> > ? ports/www/oops/files/patch-src::modules::berkeley_db_api.c

Oops, look at following patch and put in into files directory.

Thanks.

-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 5 yar freebsd_committer 2002-12-08 15:54:34 UTC
On Fri, Dec 06, 2002 at 05:58:23PM +0300, Sergey A. Osokin wrote:
> On Fri, Dec 06, 2002 at 05:41:11PM +0300, Yar Tikhiy wrote:
> > Thanks!  Dmitry Morozovsky has confirmed your patch worked for him.
> > 
> > One more note:  Is this warning from your patch really harmless?
> > Didn't you miss the file?
> > 
> > > ? ports/www/oops/files/patch-src::modules::berkeley_db_api.c
> 
> Oops, look at following patch and put in into files directory.

The overall effect is that your oops update seems to work :-)
Would you mind obtaining portmgr's approval for it so I can commit it?

-- 
Yar
Comment 6 osa 2002-12-09 10:10:02 UTC
On Sun, Dec 08, 2002 at 06:54:34PM +0300, Yar Tikhiy wrote:
> On Fri, Dec 06, 2002 at 05:58:23PM +0300, Sergey A. Osokin wrote:
> > On Fri, Dec 06, 2002 at 05:41:11PM +0300, Yar Tikhiy wrote:
> > > Thanks!  Dmitry Morozovsky has confirmed your patch worked for him.
> > > 
> > > One more note:  Is this warning from your patch really harmless?
> > > Didn't you miss the file?
> > > 
> > > > ? ports/www/oops/files/patch-src::modules::berkeley_db_api.c
> > 
> > Oops, look at following patch and put in into files directory.
> 
> The overall effect is that your oops update seems to work :-)
> Would you mind obtaining portmgr's approval for it so I can commit it?

Please approve commit patches described in
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/46006

After this commit please close PRs: ports/40593, ports/44071.

Thanks.

-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 7 yar freebsd_committer 2002-12-13 23:18:14 UTC
State Changed
From-To: open->closed

Update applied successfully.  Thank you Sergey. 


Comment 8 yar freebsd_committer 2002-12-13 23:18:14 UTC
Responsible Changed
From-To: freebsd-ports->yar

It was me who applied the update.